summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRuediger Meier2016-03-12 23:44:50 +0100
committerRuediger Meier2016-03-13 21:48:21 +0100
commitfc412fe4cee960909527efa5f2975b673c617a30 (patch)
tree4feb856ffa4f250e11c2f1a3cbd1d142e87b6f6d
parentbuild-sys: improve uuidd and script build conditions (diff)
downloadkernel-qcow2-util-linux-fc412fe4cee960909527efa5f2975b673c617a30.tar.gz
kernel-qcow2-util-linux-fc412fe4cee960909527efa5f2975b673c617a30.tar.xz
kernel-qcow2-util-linux-fc412fe4cee960909527efa5f2975b673c617a30.zip
travis: switch to Ubuntu 14.04 Trusty
Now we have a reasonable recent build system with systemd, etc. We still keep old Ubuntu 12.04 Precise to check backward compatibility but remove the hack to install socat. Note the new env variable PRECISE="yes" is only there to see it on travis website. Signed-off-by: Ruediger Meier <ruediger.meier@ga-group.nl>
-rwxr-xr-x.travis-functions.sh11
-rw-r--r--.travis.yml10
2 files changed, 16 insertions, 5 deletions
diff --git a/.travis-functions.sh b/.travis-functions.sh
index 3c1855951..e4318d6a6 100755
--- a/.travis-functions.sh
+++ b/.travis-functions.sh
@@ -71,6 +71,7 @@ function travis_install_script
sudo apt-get -qq update || return
sudo apt-get install -qq >/dev/null \
bc \
+ btrfs-tools \
dnsutils \
libcap-ng-dev \
libpam-dev \
@@ -78,14 +79,14 @@ function travis_install_script
gtk-doc-tools \
mdadm \
ntp \
+ socat \
|| return
- # install/upgrade custom stuff from non-official sources
- sudo add-apt-repository -y ppa:malcscott/socat || return
- sudo apt-get -qq update || return
+ # install only if available (e.g. Ubuntu Trusty)
sudo apt-get install -qq >/dev/null \
- socat \
- || return
+ libsystemd-daemon-dev \
+ libsystemd-journal-dev \
+ || true
}
function travis_before_script
diff --git a/.travis.yml b/.travis.yml
index e27adc4d7..545b915d7 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -1,5 +1,8 @@
language: c
+sudo: required
+dist: trusty
+
git:
depth: 1500
@@ -12,6 +15,13 @@ env:
- MAKE_CHECK="root"
- MAKE_CHECK="dist"
+matrix:
+ include:
+ - os: linux
+ dist: precise
+ compiler: gcc
+ env: PRECISE="yes" MAKE_CHECK="root"
+
branches:
only:
- master